package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/operate/apis"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOrgTeamMatchEvaluateRouter)
}

// registerOrgTeamMatchEvaluateRouter
func registerOrgTeamMatchEvaluateRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.OrgTeamMatchEvaluate{}
	r := v1.Group("/org-team-match-evaluate").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", api.GetPage)
		r.GET("/get-match", api.GetPageMatch)
		r.GET("/:id", api.Get)
		r.PUT("/:id", api.Update)
	}
}